import Vue from 'vue'
import VueRouter from 'vue-router'
import routes from './router/router.js'
import axios from './utils/http'
import echartsTheme from 'echarts/theme/shine'

Vue.prototype.$axios = axios
Vue.use(VueRouter)
const router = new VueRouter({
  mode: 'history',
  routes
})

router.beforeEach((to, from, next) => {
  // 导航钩子，全局钩子
  var isLogin = sessionStorage.isLogin
  if (!isLogin) {
    if (to.name !== 'Login') {
      isLogin ? next() : next('/login')
    } else {
      next()
    }
  } else {
    next()
  }
})

new Vue({
  router
}).$mount('#app')
