import App from '../App'

const Login = r =>
  require.ensure([], () => r(require('../views/login/login')), 'login')
const Index = r =>
  require.ensure([], () => r(require('../views/index')), 'index')

const Statistics = r =>
  require.ensure(
    [],
    () => r(require('../views/statistics/statistics')),
    'consumer'
  )
const Consumer = r =>
  require.ensure(
    [],
    () => r(require('../views/statistics/consumer/consumer')),
    'consumer'
  )
const UserProfile = r =>
  require.ensure(
    [],
    () => r(require('../views/statistics/consumer/userProfile/userProfile')),
    'userProfile'
  )
const ConsumerSales = r =>
  require.ensure(
    [],
    () => r(require('../views/statistics/consumer/sales/sales')),
    'consumerSales'
  )
const Distributor = r =>
  require.ensure(
    [],
    () => r(require('../views/statistics/distributor/distributor')),
    'distributor'
  )
const DistributorSales = r =>
  require.ensure(
    [],
    () => r(require('../views/statistics/distributor/sales/sales')),
    'sales'
  )

const UserInfo = r =>
  require.ensure([], () => r(require('../views/userInfo/userInfo')), 'userInfo')

const Setting = r =>
  require.ensure([], () => r(require('../views/setting/setting')), 'setting')
const SettingDealer = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/setting-dealer')),
    'setting-dealer'
  )
const SettingModel = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/setting-model')),
    'setting-model'
  )
const SettingOperator = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/setting-operator')),
    'setting-operator'
  )
const SettingSalesman = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/setting-salesman')),
    'setting-salesman'
  )

const Editor = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/editor/editor')),
    'editor'
  )
const SettingDealerEditor = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/editor/setting-dealer-editor')),
    'setting-dealer-editor'
  )
const SettingModelEditor = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/editor/setting-model-editor')),
    'setting-model-editor'
  )
const SettingOperatorEditor = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/editor/setting-operator-editor')),
    'setting-operator-editor'
  )
const SettingSalesmanEditor = r =>
  require.ensure(
    [],
    () => r(require('../views/setting/editor/setting-salesman-editor')),
    'setting-salesman-editor'
  )

const Maintain = r =>
  require.ensure([], () => r(require('../views/maintain/maintain')), 'maintain')

export default [
  {
    path: '/',
    component: App,
    mode: 'history',
    children: [
      {
        path: 'login',
        name: 'Login',
        component: Login
      },
      {
        path: '/',
        component: Index,
        children: [
          {
            path: '/statistics',
            name: 'statistics',
            component: Statistics,
            children: [
              {
                path: '/',
                component: Consumer
              },
              {
                path: 'consumer',
                name: 'consumer',
                component: Consumer,
                children: [
                  {
                    path: 'userProfile',
                    name: 'userProfile',
                    component: UserProfile
                  },
                  {
                    path: 'sales',
                    name: 'sales',
                    component: ConsumerSales
                  }
                ]
              },
              {
                path: 'distributor',
                name: 'distributor',
                component: Distributor,
                children: [
                  {
                    path: 'sales',
                    name: 'sales',
                    component: DistributorSales
                  }
                ]
              }
            ]
          },
          {
            path: 'userInfo',
            name: 'userInfo',
            component: UserInfo
          },
          {
            path: 'setting',
            name: 'setting',
            component: Setting,
            children: [
              {
                path: 'editor',
                component: Editor,
                children: [
                  {
                    path: 'setting-dealer-editor',
                    name: 'setting-dealer-editor',
                    component: SettingDealerEditor
                  },
                  {
                    path: 'setting-model-editor',
                    name: 'setting-model-editor',
                    component: SettingModelEditor
                  },
                  {
                    path: 'setting-operator-editor',
                    name: 'setting-operator-editor',
                    component: SettingOperatorEditor
                  },
                  {
                    path: 'setting-salesman-editor',
                    name: 'setting-salesman-editor',
                    component: SettingSalesmanEditor
                  }
                ]
              },
              {
                path: 'setting-dealer',
                name: 'setting-dealer',
                component: SettingDealer
              },
              {
                path: 'setting-model',
                name: 'setting-model',
                component: SettingModel
              },
              {
                path: 'setting-operator',
                name: 'setting-operator',
                component: SettingOperator
              },
              {
                path: 'setting-salesman',
                name: 'setting-salesman',
                component: SettingSalesman
              }
            ]
          }
        ]
      },
      {
        path: '/maintain',
        name: '/maintain',
        component: Maintain
      }
    ]
  }
]
